# Majors
%define major 0

# Library names
%define libname %mklibname %{name} %{major}
%define libname_devel %mklibname -d %{name}

Name:     tinycompress
Version:  1.1.1
Release:  %mkrel 2
Summary:  Userspace Interface to Kernel ALSA Compressed Audio APIs
Group:    Sound/Utilities
License:  BSD and LGPLv2
URL: 	  http://alsa-project.org/
Source0: ftp://ftp.alsa-project.org/pub/tinycompress/%{name}-%{version}.tar.bz2
BuildRequires: libalsa-devel
BuildRequires: kernel-userspace-headers

%description
Userspace library for anyone who wants to use the ALSA compressed APIs
introduced in Linux 3.3

This library provides the APIs to open a ALSA compressed device and read/write
compressed data like MP3 etc to it.

This also includes a utility command line player (cplay) which demonstrates 
the usage of this API. Currently this contains support for playing the mp3 format

%package -n %{libname}
Summary:	Userspace Interface to Kernel ALSA Compressed Audio APIs
Group:		System/Libraries

%description -n %{libname}
Userspace library for anyone who wants to use the ALSA compressed APIs
introduced in Linux 3.3

This library provides the APIs to open a ALSA compressed device and read/write
compressed data like MP3 etc to it.

This also includes a utility command line player (cplay) which demonstrates 
the usage of this API. Currently this contains support for playing the mp3 format

%package -n %{libname_devel}
Summary:	Headers and libraries for %{name} development
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname_devel}
Development files for %{name}

%prep
%setup -q

%build
%configure2_5x --disable-static
%make_build

%install
%make_install

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

%check
make check

%files -n %{libname}
%license COPYING
%doc README
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{libname_devel}
%{_includedir}/tinycompress*
%{_libdir}/*.so

%files
%{_bindir}/cplay
%{_bindir}/crecord



%changelog
* Fri Apr 01 2016 tv <tv> 1.1.1-2.mga6
+ Revision: 997414
- run testsuite
- kill useless include hack

* Fri Apr 01 2016 tv <tv> 1.1.1-1.mga6
+ Revision: 997395
- new version
- add source URL
- drop useless patches
- use configure & std build/install macros
- adjust file list

* Sat Feb 06 2016 umeabot <umeabot> 0.2.0-4.mga6
+ Revision: 940477
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 741010
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-2.mga5
+ Revision: 689896
- Mageia 5 Mass Rebuild

* Mon Oct 28 2013 colin <colin> 0.2.0-1.mga4
+ Revision: 547717
- imported package tinycompress

